<style lang="less">
@import "@/styles/table-common.less";
@import "@/styles/drawer-common.less";
@import "src/views/your/order-manage/orderEvaluateManage.less";
</style>
<template>
  <div class="search">
    <Card>
      <Row class="operation">
        <Input v-model="searchForm2.userName" suffix="ios-search" @on-change="getDataList2" placeholder="输入配送人" clearable style="width: 250px"/>
        <Input v-model="searchForm2.customerName" suffix="ios-search" @on-change="getDataList2" placeholder="输入商户名称" clearable style="width: 250px;margin-left: 20px"/>
        <Date-picker clearable @on-change="time1" format="yyyy-MM-dd" type="date" placement="bottom-end" placeholder="请选择配送日期" style="width: 240px;margin-left: 20px">
        </Date-picker>
        <Select v-model="searchForm2.status" style="width:200px;margin-left: 20px" clearable>
          <Option v-for="item in cityList" :value="item.value" :key="item">{{ item.label }}</Option>
        </Select>
        <Button @click="init2" icon="md-refresh">查询</Button>
      </Row>
      <Table
        :loading="loading"
        border
        :columns="columns"
        :data="data"
        ref="table"
      ></Table>
      <Row type="flex" justify="end" class="page">
        <Page
          :current="searchForm.pageNumber"
          :total="total"
          :page-size="searchForm.pageSize"
          @on-change="changePage"
          @on-page-size-change="changePageSize"
          :page-size-opts="[10, 20, 50]"
          size="small"
          show-total
          show-elevator
          show-sizer
        ></Page>
      </Row>
    </Card>

    <!-- 编辑 -->
  </div>
</template>

<script>
import {
  findPageOrderTask2,
} from "@/api/open";
export default {
  name: "car-manage",
  data() {
    return {
      maxHeight: 510,
      openTip: true,
      openLevel: "0",
      loading: true,
      modalTitle: "",
      modalVisible:false,
      searchForm: {
        pageNumber: 1, // 当前页数
        pageSize: 10, // 页面大小
        sort: "sendDate", // 默认排序字段
        order: "desc", // 默认排序方式
      },
      searchForm2: {
        pageNumber: 1, // 当前页数
        pageSize: 10, // 页面大小
        sort: "sendDate", // 默认排序字段
        order: "desc", // 默认排序方式
      },
      submitLoading: false,
      selectList: [],
      columns: [
        {
          type: "index",
          width: 60,
          align: "center",
        },
        {
          title: "送货人",
          key: "userName",
          width: 100,
        },
        {
          title: "商户名称",
          key: "customerName",
          ellipsis:true,
        },
        {
          title: "送货条数",
          key: "num",
          width: 100,
        },
        {
          title: "送货日期",
          key: "sendDate",
          width: 160,
        },
        {
          title: "评价星级",
          key: "level",
          width: 100,
        },
        {
          title: "订单状态",
          key: "status",
          width: 120,
          render: (h, params) => {
            let re = "";
            if (params.row.status == 0) {
              return h("div", [
                h("Badge", {
                  props: {
                    status: "success",
                    text: "待配送",
                  },
                }),
              ]);
            } else if (params.row.status == 1) {
              return h("div", [
                h("Badge", {
                  props: {
                    status: "success",
                    text: "已送达",
                  },
                }),
              ]);
            }else{
              return h("div", [
                h("Badge", {
                  props: {
                    status: "error",
                    text: "异常牵收",
                  },
                }),
              ]);
            }
          },
        },
        {
          title: "异常签收原因",
          key: "remarks",
          width: 150,
          ellipsis:true,
        },
        {
          title: "签收方式",
          key: "status",
          width: 150,
          render: (h, params) => {
            if (params.row.status == 1) {
              return h("div", [
                h("Badge", {
                  props: {
                    status: "success",
                    text: "指纹",
                  },
                }),
              ]);
            }
          },
        },
      ],
      data: [],
      total: 0,
      cityList: [
        {
          value: 0,
          label: '待配送'
        },
        {
          value: 1,
          label: '已送达'
        },
        {
          value: 2,
          label: '异常签收'
        }
      ],
    };
  },
  methods: {
    init() {
      this.getDataList();
    },
    init2() {
      this.getDataList2();
    },
    time1(e){
      this.searchForm.sendDate = e;
      this.getDataList();
    },
    changePage(v) {
      this.searchForm.pageNumber = v;
      this.getDataList();
      this.clearSelectAll();
    },
    changePageSize(v) {
      this.searchForm.pageSize = v;
      this.getDataList();
    },
    getDataList() {
      this.loading = true;
      findPageOrderTask2(this.searchForm).then((res) => {
        this.loading = false;
        if (res.success) {
          this.data = res.result.records;
          this.total = res.result.total;
        }
      });
    },
    getDataList2() {
      this.loading = true;
      findPageOrderTask2(this.searchForm2).then((res) => {
        this.loading = false;
        if (res.success) {
          this.data = res.result.records;
          this.total = res.result.total;
        }
      });
    },
    edit(v) {
      this.modalType = 1;
      this.modalTitle = "电子签收单";
      this.$refs.carForm.resetFields();
      // 转换null为""
      for (let attr in v) {
        if (v[attr] == null) {
          v[attr] = "";
        }
      }
      let str = JSON.stringify(v);
      let roleInfo = JSON.parse(str);
      this.carForm = roleInfo;
      this.modalVisible = true;
    },
  },
  mounted() {
    this.maxHeight = Number(document.documentElement.clientHeight - 121) + "px";
    this.init();
  },
};
</script>
